Bug 1291100 - Blank xembed-sni-proxy Plasma 5 tray icons
Blank xembed-sni-proxy Plasma 5 tray icons
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-13 16:06 EST by Benedikt Gollatz
Modified: 2015-12-20 01:53 EST (History)
6 users (show)

See Also:
Fixed In Version: plasma-workspace-5.5.0-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-20 01:53:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Salvage blank xembedsniproxy tray icons (6.84 KB, patch)
2015-12-13 16:06 EST, Benedikt Gollatz
no flags Details | Diff

  None (edit)
Description Benedikt Gollatz 2015-12-13 16:06:23 EST
Created attachment 1105381 [details]
Salvage blank xembedsniproxy tray icons

Description of problem:

On some systems, xembed-sni-proxy receives improper icon data through XCB and displays blank tray icons as a result.

Version-Release number of selected component (if applicable):

plasma-workspace-5.5.0-2.fc23

How reproducible:
Always, on some systems.

Steps to Reproduce:
1. Run a Plasma session with xembedsniproxy
2. Run an application with a legacy tray icon, like pidgin or hexchat
3. Look at the system tray

Actual results:
The application's tray icon is displayed blank (though works otherwise)

Expected results:
A recognisable icon should be displayed.

Additional info:

We've been able to develop a patch mitigating the problem on affected systems, and it has been committed to the official tree in <https://quickgit.kde.org/?p=plasma-workspace.git&a=commit&h=41df1bdb8b478eb27fb424d201c075c76ec0ed5a>. I've also attached the patch to this bug. It would be nice to have this in Fedora as soon as possible.
Comment 1 Fedora Update System 2015-12-14 07:45:17 EST
plasma-workspace-5.5.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f0aa62dc50
Comment 2 Fedora Update System 2015-12-15 05:53:41 EST
plasma-workspace-5.5.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update plasma-workspace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f0aa62dc50
Comment 3 Fedora Update System 2015-12-20 01:53:16 EST
plasma-workspace-5.5.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.